<?php

if (!function_exists('add_action')) {
    exit;
}

set_time_limit(60);

global $wpdb;
$currentUserID = get_current_user_id();

$sql = $wpdb->prepare("SELECT * FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
$userExist = $wpdb->get_row($sql);

$post = 'userid=' . $userExist->UserBlogToken . '&action=update&vers=' . PLUGINVERS;

if (isset($_POST['checkFacebook']) && $_POST['checkFacebook'] == 'on') {
    $post .='&inputs%5B1%5D%5Blink%5D=' . urlencode($_POST['shortUrl']) .
            '&inputs%5B1%5D%5Bpicture%5D=' . urlencode($_POST['image']) .
            '&inputs%5B1%5D%5Bmessage%5D=' . urlencode($_POST['prg_facebook']);
}

if (isset($_POST['checkTwitter']) && $_POST['checkTwitter'] == 'on') {
    $post .= '&inputs%5B2%5D%5Bmessage%5D=' . urlencode($_POST['prg_twitter'] . ' ' . $_POST['shortUrl']);
}

if (isset($_POST['checkLinkedin']) && $_POST['checkLinkedin'] == 'on') {
    $post .= '&inputs%5B3%5D%5Bmessage%5D=' . urlencode($_POST['prg_linkedin']) .
            '&inputs%5B3%5D%5Btitel%5D=' . urlencode($_POST['postTitle']) .
            '&inputs%5B3%5D%5Bpicture%5D=' . urlencode($_POST['image']) .
            '&inputs%5B3%5D%5Blink%5D=' . urlencode($_POST['shortUrl']);
}

if (isset($_POST['checkTumblr']) && $_POST['checkTumblr'] == 'on') {

    $_POST['prg_tumblr'] = preg_replace('|([\w\d]*)\s?(https?://([\d\w\.-]+\.[\w\.]{2,6})[^\s\]\[\<\>]*/?)|i', '$1 <a href="$2">$3</a>', $_POST['prg_tumblr']);

    $post .= '&inputs%5B4%5D%5Btitel%5D=' . urlencode($_POST['postTitle']) .
            '&inputs%5B4%5D%5Blink%5D=' . urlencode($_POST['shortUrl']) .
            '&inputs%5B4%5D%5Bmessage%5D=' . urlencode(nl2br($_POST['prg_tumblr'])) .
            '&inputs%5B4%5D%5Bpicture%5D=' . urlencode($_POST['image']);
}

if (isset($_POST['checkStorify']) && $_POST['checkStorify'] == 'on') {
    $post .= '&inputs%5B5%5D%5Btitel%5D=' . urlencode($_POST['postTitle']) .
            '&inputs%5B5%5D%5Bmessage%5D=' . urlencode($_POST['prg_storify']);
}

if (isset($_POST['checkPinterest']) && $_POST['checkPinterest'] == 'on') {
    $post .= '&inputs%5B6%5D%5Bmessage%5D=' . urlencode($_POST['prg_pinterest']) .
            '&inputs%5B6%5D%5Bpicture%5D=' . urlencode($_POST['image']) .
            '&inputs%5B6%5D%5Blink%5D=' . urlencode($_POST['shortUrl']);
}

if (isset($_POST['checkFlickr']) && $_POST['checkFlickr'] == 'on') {
    $post .= '&inputs%5B7%5D%5Bpicture%5D=' . urlencode($_POST['image']) .
            '&inputs%5B7%5D%5Btitel%5D=' . urlencode($_POST['postTitle']) .
            '&inputs%5B7%5D%5Bmessage%5D=' . urlencode($_POST['prg_flickr']);
}

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://developer.pr-gateway.de/wp/index.php');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);

echo $result = curl_exec($ch);

$resultObj = json_decode($result);

$sqlCheckIsset = $wpdb->prepare("SELECT `id` FROM `prg_connect_sent` WHERE `wpid` = %d", $_POST['blogid']);
$issetVar = $wpdb->get_var($sqlCheckIsset);
if (!$issetVar) {
    $dbAdd = 'insert';
} else {
    $dbAdd = 'update';
}

$portals = array(
    'DUMMY',
    'facebooksent',
    'twittersent',
    'linkedinsent',
    'tumblrsent',
    'storifysent',
    'pinterestsent',
    'flickrsent',
);

$changeArray = array(
    'wpid' => $_POST['blogid'],
);

foreach ($resultObj as $key => $val) {
    if ($val == true) {
        $changeArray[$portals[$key]] = 1;
    }
}

if ($dbAdd == 'insert') {
    $wpdb->insert('prg_connect_sent', $changeArray);
} elseif ($dbAdd == 'update') {
    $wpdb->update('prg_connect_sent', $changeArray, array('wpid' => $_POST['blogid']));
}